image: maven:latest

variables:
  MAVEN_CLI_OPTS: "-s .mvn/settings.xml --batch-mode"
  MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"

cache:
  paths:
  - .m2/repository/
  - target/

build:
  stage: build
  script:
  - mvn $MAVEN_CLI_OPTS compile

test:
  stage: test
  script:
  - mvn $MAVEN_CLI_OPTS test